
/**
* Importing necessary  Styles.
**/
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');
@import url('../fonts/gilroy/fonts.css');
@import url('../fonts/gordita/stylesheet.css');
@import url('../fonts/recoleta/stylesheet.css');
@import url('../vendor/bootstrap/css/bootstrap.min.css');
@import url('framework.css');
@import url('../vendor/mega-menu/assets/css/menu.css');
@import url('../fonts/font-awesome/css/font-awesome.min.css');
@import url('../vendor/aos-next/dist/aos.css');

  /*==================== Click Top ====================*/
  .scroll-top {
    width:35px;
    height:35px;
    line-height: 35px;
    position: fixed;
    bottom: 90px;
    right: 5px;
    z-index: 99;
    text-align: center;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    border-radius: 50%;
    background: #000;
    display: none;
    transition: all 0.3s ease-in-out;
  }
  .scroll-top:after {
    position: absolute;
    z-index: -1;
    content: '';
    top: 100%;
    left: 5%;
    height: 10px;
    width: 90%;
    opacity: 1;
    background: radial-gradient(ellipse at center, rgba(0, 0, 0, 0.25) 0%, rgba(0, 0, 0, 0) 80%);
  }
/*------------- Global Prefix -------------------*/
::-webkit-scrollbar{ width: 5px; }
::-webkit-scrollbar-track { background: #fff;}
::-webkit-scrollbar-thumb { background: var(--blue-dark);border-radius: 0;}
:root {
  --text-color: #73737B;
  --heading :#101621;
  --blue-dark:#6F55FF;
  --blue-light:#3BB0D7;
}
::selection {
  background-color: #6F55FF;
  color: #fff;
}
body {
  font-family: 'Roboto', sans-serif;
  font-weight: normal;
  font-size: 18px;
  position: relative;
  line-height: 1.7em;
  color: var(--text-color);
}
/*--- Global style --*/
.main-page-wrapper {overflow-x:hidden; padding-top: 110px;}
.h1,h1,.h2,h2,.h3,h3,.h4,h4,.h5,h5,.h6,h6 {color: var(--heading); font-weight: normal;}
.h1,h1 {font-size: 80px; line-height: 1.1em;}
.h2,h2 {font-size: 52px; line-height: 1.1em;}
.h3,h3 {font-size: 36px;}
.h4,h4 {font-size: 22px;}
.h5,h5 {font-size: 20px;}
.h6,h6 {font-size: 15px;}
.font-gilroy-bold {font-family: 'gilroy-bold' !important;}
.font-gordita {font-family: 'gordita' !important;}
.font-recoleta {font-family: 'Recoleta' !important;}
::-webkit-input-placeholder { /* Edge */color: #ACAEB3;}
:-ms-input-placeholder { /* Internet Explorer 10-11 */color: #ACAEB3;}
::placeholder {color: #ACAEB3;}
.shapes {position: absolute;z-index: -1;}

.full-height-layout {
    min-height: 100vh;
    padding: 40px 15px;
    position: relative;
    z-index: 5;
}
/* -- coming soon --*/
.coming-soon-content {max-width: 860px; margin: 0 auto; text-align: center;}
.coming-soon-content h6 {
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 6px;
    color: rgba(0, 0, 0, 0.43);
}
.coming-soon-content h1 {
    font-size: 72px;
    line-height: 1.18em;
    font-weight: 700;
    color: #000;
    padding: 35px 0 60px;
}
.coming-soon-content p {
    font-size: 24px;
    line-height: 1.79em;
    color: #000;
    padding-bottom: 55px;
}
.coming-soon-content form {
    max-width: 670px;
    height: 75px;
    position: relative;
    margin: 0 auto;
}
.coming-soon-content form input {
    display: block;
    width: 100%;
    border: 2px solid #000;
    border-radius: 10px;
    padding: 0 220px 0 20px;
    height: 100%;
}
.coming-soon-content form button {
    width: 200px;
    background: #151515;
    color: #fff;
    font-weight: 500;
    border-radius: 10px;
    position: absolute;
    top: 6px;
    right: 6px;
    bottom: 6px;
    transition: all 0.3s ease-in-out;
}
.coming-soon-content form button:hover {background: var(--blue-dark);}

.coming-soon-content .shape-left {
    left: 0;
    top: 5%;
    animation: fade-in-rev 1.5s infinite linear;
}
.coming-soon-content .shape-right {
    right: 12%;
    top: 28%;
    animation: fade-in-rev 1.5s infinite linear;
}          
.coming-soon-content .shape-bottom {
    right: 5%;
    bottom: 0;
    animation: fade-in 1.5s infinite linear;
}

@keyframes fade-in {
  0%, 100% {opacity: 0.7;}
  40% {opacity: 1;}
}

@keyframes fade-in-rev {
  0%, 100% {opacity: 1;}
  40% {opacity: 0.7;}
}

/*----- Theme Menu ----*/
.theme-main-menu {
    position: fixed;
    z-index: 99;
    top:0;
    left:0;
    right: 0;
    background: #fff;
    padding: 10px 70px;
    transition: all 0.4s ease-out;
  }
  .theme-main-menu.sticky-menu.fixed {
    z-index: 9999;
    padding-top: 0; 
    padding-bottom: 0;
    background: #fff;
    box-shadow: 0 13px 35px -12px rgba(35,35,35,0.1);
  }
  .theme-main-menu .logo a {display: block;}

/*---- Menu ----*/
.grok-theme-menu .logo {
    position: absolute;
    left: 80px;
    top: 50%;
    transform: translateY(-55%);
    margin-left: 20px;
  }
  .grok-theme-menu .right-widget {
    position: absolute;
    right: 80px;
    top:50%;
    transform: translateY(-50%);
  }
  .grok-theme-menu .right-widget .demo-button {
    width: 210px;
    font-size: 17px;
    line-height: 56px;
    border: 2px solid #000;
    text-align: center;
    border-radius: 8px;
    font-weight: 500;
    color: #000;
    position: relative;
    transition: all 0.3s ease-in-out;
  }
  .grok-theme-menu .right-widget .demo-button:hover {
    background: #eef3f9;
    border-color: #eef3f9;
  }
  .grok-theme-menu .right-widget .demo-button img {width: 20px; display: none; margin: 0 auto;}
  .grok-theme-menu .navbar-nav .nav-item .nav-link {
    font-size: 20px;
    margin: 0 23px;
  }
  .grok-theme-menu .navbar-nav .nav-item .nav-link.active {text-decoration: underline;}
  
  /*---Top Banner ---*/
  .grok-top-banner {
    position: relative;
    text-align: center;
    padding: 56px 0 0;
  }
  .grok-top-banner:before {
      content: '';
      position: absolute;
      width: 100%;
      height: 85%;
      background: url(../images/shapes/top_background.svg);
      background-size: cover;
      background-repeat: no-repeat;
      background-position: center top;
      left: 0;
      bottom: 0px;
      z-index: -1;
  }
  .grok-top-banner .grok-heading {
    font-size: 82px;
    line-height:1.219em;
  }
  .grok-top-banner .grok-heading span {
    position: relative; 
    color: #FF2759;
    text-decoration: underline;
    text-decoration-thickness: 4px;
  }
  .grok-top-banner .grok-sub-heading {
    font-size: 24px; 
    padding: 20px 0 62px;
    color: #000;
  }
  
  .grok-top-banner .init-manual {font-size: 16px; padding-top: 20px; color: #979797;}
  .grok-top-banner .init-manual a {color: #000; transition: all 0.25s ease-in-out;}
  .grok-top-banner .init-manual a:hover {text-decoration: underline;}
  .grok-top-banner .button-group a {
    width: 200px;
    height: 60px;
    padding: 0 5px 0 25px;
    margin: 10px 12px;
    border: 2px solid #111111;
    border-radius: 6px;
    color: #000;
    text-align: left;
    transition: all 0.3s ease-in-out;
  }
  .grok-top-banner .button-group a:hover {
    transform: translateY(-5px);
    box-shadow: -5px 10px 30px rgba(0, 0, 0, 0.1);
  }
  .grok-top-banner .button-group a .icon {margin-right: 15px;}
  .grok-top-banner .button-group a strong {
    font-weight: 500;
    font-size: 18px;
    display: block;
  }
  .grok-top-banner .button-group a.ios-button {background: #111111; color: #fff;}
  .grok-top-banner .img-gallery {
    border-bottom: 1px solid #EAEAEA; 
    margin-top: 80px;
    position: relative;
    z-index: 1;
  }
  .grok-top-banner .img-gallery .screen-container {
    border: 4px solid #000;
    border-radius: 45px 45px 0 0;
    border-bottom: none;
    position: relative;
  }
  .grok-top-banner .img-gallery .screen-container .main-screen {
    width: 100%;
    border-radius: 40px 40px 0 0;
  }
  .grok-top-banner .shape-left {left: 0;top: 28%;}
  .grok-top-banner .shape-right {right: 0;bottom: -28%;}


 /*-----------------  Features -------------------*/
.grok-feature-block {
    background: #fff;
    border-radius: 10px;
    padding: 37px 50px;
    margin-top: 35px;
    border-left-width: 5px;
    border-left-style: solid;
    box-shadow: 0 20px 60px rgba(10, 30, 81, 0.04);
  }
  .grok-feature-block .text {padding-left: 30px;}
  .grok-feature-block .text h4 {
    font-size: 24px;
    font-weight: 700;
    padding-bottom: 17px;
  }
  .grok-feature-block .text p {
    font-size: 16px;
    line-height: 1.875em;
  }

 /*----------------- Pricing -------------------*/
  .grok-pricing-table {
    max-width: 1350px;
    padding: 0 15px;
    margin: 0 auto;
  }
  .grok-pricing-table .row {margin: 0 -30px;}
  .grok-pricing-table .row [class*="col-"] {padding: 0 30px;}
  .grok-pricing-table .pr-table-wrapper {
    border: 1px solid #acacac;
    border-radius: 15px;
    transition: all 0.3s ease-in-out;
    padding: 25px 35px 35px;
    margin-top: 40px;
    position: relative;
    z-index: 1;
    text-align: center;
  }
  .grok-pricing-table .pr-table-wrapper:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    border-radius: 15px;
    border: 2px solid #000;
    z-index: -1;
    opacity: 0;
    transition: all 0.3s ease-in-out;
  }

  .grok-pricing-table .pr-table-wrapper .pack-name {
    font-weight: 500;
    font-size: 28px;
    color: #000;
  }
  .grok-pricing-table .pr-table-wrapper .pack-details {
    color: #878787;
    padding: 5px 0 45px;
  }
  .grok-pricing-table .pr-table-wrapper .top-banner {
    padding: 9px 5px 15px 22px;
    color: #000;
    text-align: left;
  }
  .grok-pricing-table .pr-table-wrapper .price {
    font-size:40px;
    font-weight: 500;
    padding: 25px 20px 0 0;
  }
  .grok-pricing-table .pr-table-wrapper .price sup {
    font-size: 20px;
    top: -22px;
  }
  .grok-pricing-table .pr-table-wrapper .top-banner span  {font-size: 22px;}
  .grok-pricing-table .pr-table-wrapper .top-banner em {
    font-size: 14px;
    font-style: normal;
    display: block;
    margin-top: -7px;
  }
  .grok-pricing-table .pr-table-wrapper .pr-feature {
    text-align: left;
    padding: 38px 0 60px 20px;
  }
  .grok-pricing-table .pr-table-wrapper .pr-feature li {
    position: relative;
    line-height: 42px;
    color: rgba(0, 0, 0, 0.7);
    padding-left: 30px;
  }
  .grok-pricing-table .pr-table-wrapper .pr-feature li:before {
    content: url(../images/icons/ticked.svg);
    position: absolute;
    top: 0;
    left: 0;
  }
  .grok-pricing-table .pr-table-wrapper .subscribe-button {
    display: block;
    font-size: 16px;
    font-weight: 500;
    color: #000;
    line-height: 52px;
    border: 2px solid #000;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
    margin: 0 60px;
  }
  .grok-pricing-table .pr-table-wrapper:hover:before,
  .grok-pricing-table .pr-table-wrapper.active:before {opacity: 1;}
  .grok-pricing-table .pr-table-wrapper .subscribe-button:hover,
  .grok-pricing-table .pr-table-wrapper.active .subscribe-button {background: #000; color: #fff;}


  /*--- footer ---*/
  .grok-theme-footer .logo {
    margin-left: 10px;
  }
  .grok-theme-footer {font-family: 'gordita';}
  .grok-theme-footer .title {
    font-size: 16px;
    text-transform: uppercase;
    color: rgba(0, 0, 0, 0.8);
    letter-spacing: 3px;
    padding-bottom: 25px;
  }
  .grok-theme-footer .footer-list a {
    line-height: 40px;
    color: #000;
    transition: all 0.3s ease-in-out;
  }
  .grok-theme-footer .footer-list a:hover {text-decoration: underline;}
  .grok-theme-footer .bottom-footer {
    border-top: 1px solid rgba(0, 0, 0, 0.08);
    padding: 35px 0 15px;
    margin-top: 45px;
  }
  .grok-theme-footer .bottom-footer .copyright {
    font-size: 16px;
    color: #373737;
  }
  

/*----------------- Documentation search ------------------*/
.search-filter-form form {
  position: relative;
  max-width: 750px;
  height: 78px;
  margin: 0 auto;
  border-radius: 5px;
  background: #fff;
  box-shadow: 0 30px 50px rgba(7,21,36,0.06);
}
.search-filter-form input {
  width: 100%;
  height: 100%;
  padding: 0 260px 0 35px;
  border: none;
  border-radius: 5px;
  font-size: 16px;
}
.search-filter-form button {
  position: absolute;
  top: 7px;
  right: 7px;
  bottom: 7px;
  width: 85px;
  border-radius: 5px;
  background: #111;
  transition: all 0.3s ease-in-out;
}
.search-filter-form button img {margin: 0 auto;}
.search-filter-form button:hover {background: var(--blue-light);}

/*----------------- Documentation ------------------*/
  .doc-sidebar {
    border-right: 1px solid rgba(0,0,0,0.09); 
    height: 100vh;
    position: sticky;
    top: 90px;
  }
  .doc-sidebar .search-form {
    border-bottom: 1px solid rgba(0,0,0,0.09);
    padding-bottom: 30px;
    margin-bottom: 30px;
  }
  .doc-sidebar .search-form form {position: relative; height: 50px;}
  .doc-sidebar .search-form form input {
    width: 100%;
    height: 100%;
    border:2px solid #000;
    border-radius: 5px;
    font-size: 16px;
    color: #2A2A2A;
    padding: 0 15px 0 50px;
  }
  .doc-sidebar .search-form form button {
    position: absolute;
    top:0;
    bottom: 0;
    left:0;
    width: 50px;
  }
  .doc-sidebar .search-form form button img {margin: 0 auto;}
  #doc-sidebar-nav {
    max-height: 100vh; 
    overflow-y: auto; 
    padding-right: 45px;
  }
  .doc-sidebar .list-item>li {
    border-bottom: 2px solid #000;
    padding: 18px 0;
  }
  .doc-sidebar .list-item>li:first-child {padding-top: 0;}
  .doc-sidebar .list-item li .sub-menu {padding-bottom: 15px;}
  .doc-sidebar .list-item li h4 {
    font-family: 'gilroy-semibold';
    display: block;
    position: relative;
    line-height: 44px;
    font-size: 24px;
    color: #2A2A2A;
    cursor: pointer;
    margin-bottom: 6px;
  }
  .doc-sidebar .list-item li h4 .expander {
    position: absolute;
    background: transparent;
    line-height: 50px;
    right: 0;
    top:0;
    color: inherit;
    font-size: 12px;
  }
  .doc-sidebar .list-item li .sub-menu a {
    font-size: 16px;
    line-height: 36px;
    color: #2A2A2A;
    display: block;
    padding: 0 15px;
    transition: all 0.3s ease-in-out;
  }
  .doc-sidebar .list-item li .sub-menu a.active {
    background: #000;
    color: #fff;
    line-height: 32px;
    text-decoration: none;
  }
  .doc-sidebar .list-item li .sub-menu a.sec-menu {position: relative;}
  .doc-sidebar .list-item li .sub-menu a.sec-menu:before {
    content: '';
    position: absolute;
    font-family: 'FontAwesome';
    right: 10px;
    top:0;
    line-height: 32px;
    color: #000;
  }
  .doc-sidebar .list-item li .sub-menu .main-side-nav {margin-top: 10px;}
  .doc-sidebar .list-item li .sub-menu .main-side-nav a {margin-left: 15px;}
  .doc-sidebar .list-item li .sub-menu a:hover {text-decoration: underline;}
  .doc-sidebar ul .sub-menu {
    display: none;
    transition: all 0.3s ease-in-out;
  }
  .doc-sidebar ul .sub-menu.show {display: block;}
  .doc-sidebar ul .sub-menu.open {display: block;}
  
  .doc-container .doc-main-body {
    padding-left: 50px;
    padding-bottom: 50px;
  }
  .doc-container .doc-main-body h2 {
    font-family: 'gilroy-black';
    font-size: 42px;
    padding-bottom: 25px;
  }
  .doc-container .doc-main-body h3 {
    font-family: 'gilroy-semibold';
    font-size: 28px;
    padding-bottom: 30px;
  }
  .doc-container .doc-main-body h3:not(:first-child) {padding-top: 20px;}
  .doc-container .doc-main-body p {color: #2A2A2A; padding-bottom: 30px;}
  .doc-container .doc-main-body p code {
    background: #F0F3F9;
    border-radius: 4px;
  }
